{% extends 'base.html.twig' %}

{% block title %}
	{% include 'page/blocs/bloc-meta-title.html.twig' %}
{% endblock %}

{% block metaDescription %}
	{% include 'page/blocs/bloc-meta-description.html.twig' %}
{% endblock %}

{% block canonical %}
	{{ page is defined and page is not null ? getCanonicalUrlWithLink(page) : '' }}
{% endblock %}

{% set loginActivation = getDataEnumValue(constant('App\\Enum\\DataEnum::DATA_BACKEND_LOGIN_ACTIVATION_DEV_KEY')) %}

{% block body %}
	<h1 class="container my-3 mb-3 px-md-0">
		{{ pageElements.name }}
	</h1>
	<div class="container-contact-form" data-aos="fade-up">
		{{ form_start(registrationForm, {'attr': {'class': 'container', 'novalidate': 'novalidate'}}) }}

		<div class="form-row row mb-3">
			<div class="container-contact-form-inputs col-lg-6 col-md-12 col-sm-12 mb-3">

				<div class="container-form-item mt-2">
					<div class="contact-form-label">
						{{ form_label(registrationForm.email, null) }}
						*
					</div>
					<div class="contact-form-input">
						{{ form_widget(registrationForm.email, {'attr': {'class': 'form-control w-100 p-1'}}) }}
					</div>
					<div class="danger-alert">
						{{ form_errors(registrationForm.email, {'attr': {'class': 'form-control w-100'}}) }}
					</div>
				</div>

				<div class="container-form-item mt-2">
					<div class="contact-form-label">
						{{ form_label(registrationForm.plainPassword, null) }}
						*
					</div>
					<div class="contact-form-input">
						{{ form_widget(registrationForm.plainPassword, {'attr': {'class': 'form-control w-100 p-1'}}) }}
					</div>
					<div class="danger-alert">
						{{ form_errors(registrationForm.plainPassword, {'attr': {'class': 'form-control w-100'}}) }}
					</div>
				</div>

				<div class="container-form-item mt-2">
					<div class="contact-form-label">
						{{ form_label(registrationForm.country, null) }}
						*
					</div>
					<div class="contact-form-input">
						{{ form_widget(registrationForm.country, {'attr': {'class': 'form-control w-100 p-1'}}) }}
					</div>
					<div class="danger-alert">
						{{ form_errors(registrationForm.country, {'attr': {'class': 'form-control w-100'}}) }}
					</div>
				</div>

				<div class="container-form-item mt-2">
					<div class="d-flex justify-content-end flex-row-reverse">
						<div class="contact-form-label">
							<a
								href="{{ path('backend_policy_acceptance_registration') }}">
								{# {{ form_label(registrationForm.agreeTerms, null) }} #}
								{{ 'form.register.field.agree'|trans }}
							</a>
							*
						</div>
						<div class="contact-form-input me-2">
							{{ form_widget(registrationForm.agreeTerms, {'attr': {'class': ''}}) }}
						</div>
					</div>
					<div class="danger-alert">
						{{ form_errors(registrationForm.agreeTerms, {'attr': {'class': 'w-100'}}) }}
					</div>
				</div>

				<button type="submit" class="mt-3 btn btn-primary-custom w-100">{{ button_label|default('form.register.submit'|trans) }}</button>
				
				{% if true == loginActivation %}
					<div class="container-form-item mt-3">
						<a href="{{ path('backend_login') }}">Se connecter</a>
					</div>
				{% endif %}
			</div>

		</div>
		{{ form_end(registrationForm) }}
	<div>
{% endblock %}
